%if 0%{?el7}
%define dist .el7
%endif

%{!?_httpd_apxs: %{expand: %%global _httpd_apxs %%{_sbindir}/apxs}}
%{!?_httpd_mmn: %{expand: %%global _httpd_mmn %%(cat %{_includedir}/httpd/.mmn || echo 0-0)}}
%{!?_httpd_modconfdir: %{expand: %%global _httpd_modconfdir %%{_sysconfdir}/httpd/conf.d}}
%{!?_httpd_confdir:    %{expand: %%global _httpd_confdir    %%{_sysconfdir}/httpd/conf.d}}
%{!?_httpd_moddir:    %{expand: %%global _httpd_moddir    %%{_libdir}/httpd/modules}}

Name:		mod_pony
Version:	0.0
Release:	3%{?dist}
Summary:	mod_pony

Group:		System Environment/Daemons
License:	HJTI http://drbacchus.com/hjti
URL:		http://drbacchus.com/mod_pony
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	httpd-devel
BuildRequires:  gcc
Requires:	httpd

%description
mod_pony

%prep
%setup -q -n %{name}-%{version}

%build
%{_httpd_apxs} -ca %{name}.c

%install
rm -rf $RPM_BUILD_ROOT

install -Dpm 755 .libs/%{name}.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/%{name}.so

%if "%{_httpd_modconfdir}" != "%{_httpd_confdir}"
	# 2.4-style
	install -Dpm 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10-%{name}.conf
%else
	# 2.2-style
	install -Dpm 644 %{SOURCE1} %{buildroot}%{_httpd_confdir}/%{name}.conf
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_libdir}/httpd/modules/%{name}.so
%if "%{_httpd_modconfdir}" != "%{_httpd_confdir}"
	# 2.4-style
	%config(noreplace)  %{_httpd_modconfdir}/10-%{name}.conf
%else
	# 2.2-style
	%config(noreplace) %{_httpd_confdir}/%{name}.conf
%endif

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.0-3
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.0-2
- Rebuilt for fc23

* Mon Jun  6 2011 momo-i <webmaster@momo-i.org> - 0.9-1
- Initial rpm release.
